#pragma once
#include <string>

enum class FileDialogType {
    Images,
    Scenes,
    Audio,
    Scripts,
    Shaders,
    Fonts,
    Models,
    All
};


std::string OpenFileDialog(FileDialogType type);
std::string SaveFileDialog(FileDialogType type);
std::string CreateFileDialog(FileDialogType type);

